name: 921-111A1010D10200
description: connector, USB, type-B, 2.0, receptacle, right angle, through hole
datasheet: https://datasheet.lcsc.com/lcsc/2103081233_Jing-Extension-of-the-Electronic-Co--921-111A1010D10200_C46392.pdf
lcsc: C46392

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  SHIELD: 5, 6

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  passive: SHIELD

schematic:
  symbol: connector
  right: USB
  bottom: SHIELD

housing:
  pattern: custom
  bodyWidth: 12.1
  bodyLength: 16.3
  height: 10.9

  # USB pins
  numbers: 2, 1, 3, 4 
  holeDiameter: 0.9
  padDiameter: 1.4
  horizontalPitch: 2.5
  verticalPitch: 2.0
  columnCount: 2
  rowCount: 2
  rowDY: -5.91 # 16.30/2-10.35-2.71-1.0

  # shell tabs
  numbers1: 5, 6
  holeDiameter1: 2.3
  padDiameter1: 2.8
  pitch1: 12.04
  columnCount1: 2
  rowCount1: 1
  rowDY1: -2.2 # 16.30/2-10.35
